package com.os.mes.api.domain;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

/**
 * ERP返回数据List
 */
public class ReturnData {

    /**
     * 总数
     */
    @JsonProperty(value = "totle")
    private int totle;

    /**
     * 数据列表
     */
    @JsonProperty(value = "data")
    private List<RecordData> data;

    /**
     * 结果
     */
    @JsonProperty(value = "result")
    private String result;

    /**
     * 消息
     */
    @JsonProperty(value = "message")
    private String message;


    public int getTotle() {
        return totle;
    }

    public void setTotle(int totle) {
        this.totle = totle;
    }

    public List<RecordData> getData() {
        return data;
    }

    public void setData(List<RecordData> data) {
        this.data = data;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
